<EntityClassDefinition.MRCK_S06_BEHR_Dual_S05 __id="6a84479b-bd8e-4330-9ed3-e1169cfc546e" __path="libs/foundry/records/entities/scitem/ships/missile_racks/behr/mrck_s06_behr_dual_s05.xml" __type="EntityClassDefinition" BBoxSelection="1" Category="Items" entityDensityClass="a153bc13-b348-47a4-8bae-1ce22b0b4023" Icon="Default.bmp" Invisible="0">
  <Components>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" Manufacturer="65a5d887-3b21-4046-a718-6912c0c7c3be" RequiredTags="" Size="6" SubType="MissileRack" Tags="flightReady" Type="MissileLauncher">
        <inventoryOccupancyDimensions __type="Vec3" x="1.3398029804229736" y="11.05504035949707" z="2.4056849479675293" />
        <inventoryOccupancyDimensionsUIOverride __type="Vec3" x="0.3799999952316284" y="1.0" z="0.3799999952316284" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="7560000" />
        <Localization __type="SCItemLocalization" Description="@item_DescMRCK_S06_BEHR_Dual_S05" Name="@item_NameMRCK_S06_BEHR_Dual_S05" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SCItemMissileRackParams __type="DataForgeComponentParams" __polymorphicType="SCItemMissileRackParams" detachTrigger="24d8832f-c586-4700-9cb8-9cf623af09c4" detachVelocityForward="0.0" detachVelocityRight="0.0" detachVelocityUp="-2.5" fragReadyUp="select" fragStowAway="deselect" igniteOnPylon="0" launchDelay="0.125" rackTag="">
      <slotTags />
    </SCItemMissileRackParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="objects/spaceships/missile_racks/behr/mrck_s06_behr_dual_s05.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityComponentEffects __type="DataForgeComponentParams" __polymorphicType="SEntityComponentEffects">
      <entityEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="SEntitityEffectSystem_System" audioEnvironmentEffects="None" lightEffects="None" materialEffects="None" soundEffects="None" uiOwnerEffects="None">
        <particleEffects __type="SEntityEffectSystem_Category" __polymorphicType="SEntityEffectSystem_ParticleCategory" allowMultipleTags="1" enabled="1">
          <tagEffects />
          <triggerEffects>
            <SEntityEffectSystem_ParticleTriggerEffect __type="SEntityEffectSystem_ParticleEffect" __polymorphicType="SEntityEffectSystem_ParticleTriggerEffect" clipToVisArea="Local" enabled="1" gpuVisAreaCullingMode="Default" holographic="0" name="missileDetach" primed="0" trigger="24d8832f-c586-4700-9cb8-9cf623af09c4" updateEntityBounds="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <particleEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="spaceship_fx.Hornet.missile_detach" />
              <propertyLinks />
            </SEntityEffectSystem_ParticleTriggerEffect>
          </triggerEffects>
        </particleEffects>
        <sequencerTags />
      </entityEffects>
      <staticColors />
      <staticValues />
      <tagsToEnableOnLoad />
      <triggersToEnableOnLoad />
    </SEntityComponentEffects>
    <EntityComponentPowerConnection __type="DataForgeComponentParams" __polymorphicType="EntityComponentPowerConnection" DecayRateOfEM="0.15000000596046448" DisplayedInPoweredItemList="1" IsOverclockable="0" IsThrottleable="0" MisfireGenerationParams="None" MisfireItemTypeLocID="@LOC_PLACEHOLDER" OverclockPerformance="0.0" OverclockThresholdMax="0.0" OverclockThresholdMin="0.0" OverpowerPerformance="0.0" PowerBase="20.0" PowerDraw="20.0" PowerToEM="3.5" SafeguardPriority="20" TimeToReachDrawRequest="0.0" WarningDelayTime="0.30000001192092896" WarningDisplayTime="8.0">
      <MisfireEvents __type="SMisfireEvents">
        <CriticalMisfires />
        <MajorMisfires />
        <MinorMisfires />
      </MisfireEvents>
    </EntityComponentPowerConnection>
    <SHealthComponentParams __type="SBaseHealthComponentParams" __polymorphicType="SHealthComponentParams" ClientOnly="0" DeathExplosionParams="None" DebrisGeometryTag="" DestroyedGeometryTag="" DetachFromEntityOnDeath="0" DetachFromItemPortOnDeath="0" ExplodedGeometryTag="" ExplosionBone="" ExplosionDelayTime="0.0" ExplosionRandomDelayRange="0.0" Health="200.0" InitialDamage="None" IsRepairable="1" IsSalvagable="1" PropagateExplosionDamageToChildren="0" PushDamageUpPartsHeirarchyWhenDead="1" UnlockInteractionsOnDeath="0" UseDirtShaderForDamage="0">
      <DamageResistances __type="DamageResistanceBase" __polymorphicType="DamageResistance">
        <BiochemicalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <DistortionResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <EnergyResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <PhysicalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <StunResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <ThermalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
      </DamageResistances>
      <DeathGasComposition />
      <HealthLevelStates />
      <InteractionLocks />
    </SHealthComponentParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="20.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <EntityComponentHeatConnection __type="DataForgeComponentParams" __polymorphicType="EntityComponentHeatConnection" Mass="200.0" MaxCoolingRate="1.0" MaxTemperature="450.0" MinTemperature="0.0" MisfireMaxTemperature="600.0" MisfireMinTemperature="370.0" OverclockThresholdMaxHeat="0.0" OverclockThresholdMinHeat="0.0" OverheatTemperature="370.0" OverpowerHeat="0.0" RecoveryTemperature="350.0" SpecificHeatCapacity="13.0" StartCoolingTemperature="300.0" StartIRTemperature="250.0" SurfaceArea="50.0" TemperatureToIR="1.5" ThermalConductivity="3.0" ThermalEnergyBase="10.0" ThermalEnergyDraw="20.0" />
    <SCItemPurchasableParams __type="DataForgeComponentParams" __polymorphicType="SCItemPurchasableParams" allowQuickBuy="0" allowTryOn="0" defaultAttachToPortName="" Display="None" displayName="@item_NameMRCK_S06_BEHR_Dual_S05" displayThumbnail="" displayType="@item_displayType_MissileRack" interactionPointTemplate="00000000-0000-0000-0000-000000000000" tryOnInteractionText="@shop_ui_item_action_preview">
      <disabledLoadoutInteractions />
    </SCItemPurchasableParams>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Missile Slot #1" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="5" MinSize="5" Name="missile_01_attach" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="missile_01_attach" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="Missile">
              <SubTypes>Missile</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Missile Slot #2" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="5" MinSize="5" Name="missile_02_attach" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="missile_02_attach" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="Missile">
              <SubTypes>Missile</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
    <ItemControlComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControlComponentParams" throttleParams="None" turnedOnByDefault="0" />
  </Components>
  <StaticEntityClassData>
    <DefaultEntitlementEntityParams __type="EntityClassStaticDataParams" __polymorphicType="DefaultEntitlementEntityParams" canEntitleThroughWebsite="1" entitlementPolicy="67f50be7-458e-4760-8df1-ad1a48abbd7a" />
  </StaticEntityClassData>
  <tags />
</EntityClassDefinition.MRCK_S06_BEHR_Dual_S05>